org.apache.ivy.core.report

## Class ArtifactDownloadReport

- java.lang.Object
- - org.apache.ivy.core.report.ArtifactDownloadReport

Direct Known Subclasses:
  MetadataArtifactDownloadReport

    public class ArtifactDownloadReport
    extends java.lang.Object

Report on the download of an artifact from a repository to a local (cached) file.

Note that depending on cache implementation, the artifact may not be actually downloaded, but used directly from its original location.

### Field Summary

Fields
`static java.lang.String` `MISSING_ARTIFACT` download details used when the download "fails" when the artifact is simply missing on the remote repository.

### Constructor Summary

Constructors
Constructor and Description
`ArtifactDownloadReport(Artifact artifact)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)`
`Artifact` `getArtifact()`
`ArtifactOrigin` `getArtifactOrigin()`
`java.lang.String` `getDownloadDetails()`
`DownloadStatus` `getDownloadStatus()`
`long` `getDownloadTimeMillis()`
`java.lang.String` `getExt()`
`java.io.File` `getLocalFile()` Returns the File where the artifact is available on the local filesystem, or `null` if and only if the artifact caching failed.
`java.lang.String` `getName()`
`long` `getSize()`
`java.lang.String` `getType()`
`java.io.File` `getUnpackedLocalFile()`
`int` `hashCode()`
`boolean` `isDownloaded()`
`void` `setArtifactOrigin(ArtifactOrigin origin)`
`void` `setDownloadDetails(java.lang.String message)`
`void` `setDownloadStatus(DownloadStatus downloadStatus)`
`void` `setDownloadTimeMillis(long l)`
`void` `setLocalFile(java.io.File localFile)`
`void` `setSize(long size)`
`void` `setUnpackedLocalFile(java.io.File unpackedLocalFile)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### MISSING_ARTIFACT

    public static final java.lang.String MISSING_ARTIFACT

download details used when the download "fails" when the artifact is simply missing on the remote repository.

For historical reason the status can't be used to distinguish a real failure from a missing artifact by using the status, in both cases it's DownloadStatus.FAILED. The details message can be used for this purpose though.

See Also:
  Constant Field Values

### Constructor Detail

#### ArtifactDownloadReport

    public ArtifactDownloadReport(Artifact artifact)

### Method Detail

#### getDownloadStatus

    public DownloadStatus getDownloadStatus()

#### setDownloadStatus

    public void setDownloadStatus(DownloadStatus downloadStatus)

#### getName

    public java.lang.String getName()

#### getType

    public java.lang.String getType()

Returns:
  the type of the downloaded artifact

#### getArtifact

    public Artifact getArtifact()

#### getExt

    public java.lang.String getExt()

#### getSize

    public long getSize()

#### setSize

    public void setSize(long size)

#### setArtifactOrigin

    public void setArtifactOrigin(ArtifactOrigin origin)

#### getArtifactOrigin

    public ArtifactOrigin getArtifactOrigin()

#### setDownloadDetails

    public void setDownloadDetails(java.lang.String message)

#### getDownloadDetails

    public java.lang.String getDownloadDetails()

#### setDownloadTimeMillis

    public void setDownloadTimeMillis(long l)

#### getDownloadTimeMillis

    public long getDownloadTimeMillis()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getLocalFile

    public java.io.File getLocalFile()

Returns the File where the artifact is available on the local filesystem, or `null` if and only if the artifact caching failed.

Returns:
  the file where the artifact is now available on the local filesystem.

#### setLocalFile

    public void setLocalFile(java.io.File localFile)

#### isDownloaded

    public boolean isDownloaded()

#### setUnpackedLocalFile

    public void setUnpackedLocalFile(java.io.File unpackedLocalFile)

#### getUnpackedLocalFile

    public java.io.File getUnpackedLocalFile()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`